| Home | Libraries | People | FAQ | More

## Struct template make_sgtree_opt

boost::intrusive::make_sgtree_opt — #if !defined(BOOST_INTRUSIVE_VARIADIC_TEMPLATES)

## Synopsis

    // In header: <boost/intrusive/sgtree.hpp>

    template<typename T, typename O1 = none, typename O2 = none,
             typename O3 = none, typename O4 = none>
    struct make_sgtree_opt {
      // types
      typedef pack_options< sg_set_defaults< T >, O1, O2, O3, O4 >::type                                                                      packed_options;
      typedef unspecified                                                                                                                     value_traits;
      typedef sg_setopt< value_traits, typename packed_options::compare, typename packed_options::size_type, packed_options::floating_point > type;
    };